| OpendTect 8.0

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | Private Member Functions | List of all members
PreStack::PropCalc Class Reference
PreStackProcessing

Calculates 'post-stack' properties of a PreStack data store. More...

`#include <prestackprop.h>`

## Classes
class | Setup

## Public Types
enum | AxisType { Norm , Log , Exp , Sqr , Sqrt , Abs , Sinsq }
enum | CalcType { Stats , LLSQ }
enum | LSQType { A0 , Coeff , StdDevA0 , StdDevCoeff , CorrCoeff }

## Public Member Functions
| PropCalc (const Setup &)
virtual | ~PropCalc ()
const Gather * | getGather () const
float | getVal (float z) const
float | getVal (int sampnr) const
bool | hasAngleData () const
void | setAngleData (const PreStack::Gather &)
void | setAngleData (DataPackID)
void | setAngleValuesInRadians (bool yn)
void | setGather (const PreStack::Gather &)
void | setGather (DataPackID)
Setup & | setup ()
const Setup & | setup () const

## Static Public Member Functions
static float | getVal (const PropCalc::Setup &su, TypeSet< float > &vals, TypeSet< float > &offs)

## Protected Member Functions
void | removeGather ()

## Protected Attributes
ConstRefMan< Gather > | angledata_
bool | anglevalinradians_ = false
Interval< float > | axisvalsrg_
ConstRefMan< Gather > | gather_
int * | innermutes_ = nullptr
int * | outermutes_ = nullptr
Setup | setup_

## Private Member Functions
bool | getAngleFromMainGather () const
void | handleNewGather ()
void | init ()

## Detailed Description

Calculates 'post-stack' properties of a PreStack data store.

<>

## Member Enumeration Documentation

## ◆ AxisType

enum PreStack::PropCalc::AxisType

Enumerator
Norm |
Log |
Exp |
Sqr |
Sqrt |
Abs |
Sinsq |

## ◆ CalcType

enum PreStack::PropCalc::CalcType

Enumerator
Stats |
LLSQ |

## ◆ LSQType

enum PreStack::PropCalc::LSQType

Enumerator
A0 |
Coeff |
StdDevA0 |
StdDevCoeff |
CorrCoeff |

## Constructor & Destructor Documentation

## ◆ PropCalc()

PreStack::PropCalc::PropCalc | ( | const Setup & |  | ) |

## ◆ ~PropCalc()

virtual PreStack::PropCalc::~PropCalc | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ getAngleFromMainGather()

bool PreStack::PropCalc::getAngleFromMainGather | ( |  | ) | const
| private

## ◆ getGather()

const Gather * PreStack::PropCalc::getGather | ( |  | ) | const
| inline

## ◆ getVal() [1/3]

static float PreStack::PropCalc::getVal | ( | const PropCalc::Setup & | su,
|  | TypeSet< float > & | vals,
|  | TypeSet< float > & | offs )
| static

## ◆ getVal() [2/3]

float PreStack::PropCalc::getVal | ( | float | z | ) | const

## ◆ getVal() [3/3]

float PreStack::PropCalc::getVal | ( | int | sampnr | ) | const

## ◆ handleNewGather()

void PreStack::PropCalc::handleNewGather | ( |  | ) |
| private

## ◆ hasAngleData()

bool PreStack::PropCalc::hasAngleData | ( |  | ) | const
| inline

## ◆ init()

void PreStack::PropCalc::init | ( |  | ) |
| private

## ◆ removeGather()

void PreStack::PropCalc::removeGather | ( |  | ) |
| protected

## ◆ setAngleData() [1/2]

void PreStack::PropCalc::setAngleData | ( | const PreStack::Gather & |  | ) |

Only used if AngleA0 or AngleCoeff. If not set, offset values from traces will be assumed to contain angles.

## ◆ setAngleData() [2/2]

void PreStack::PropCalc::setAngleData | ( | DataPackID |  | ) |

## ◆ setAngleValuesInRadians()

void PreStack::PropCalc::setAngleValuesInRadians | ( | bool | yn | ) |
| inline

## ◆ setGather() [1/2]

void PreStack::PropCalc::setGather | ( | const PreStack::Gather & |  | ) |

## ◆ setGather() [2/2]

void PreStack::PropCalc::setGather | ( | DataPackID |  | ) |

## ◆ setup() [1/2]

Setup & PreStack::PropCalc::setup | ( |  | ) |
| inline

## ◆ setup() [2/2]

const Setup & PreStack::PropCalc::setup | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ angledata_

ConstRefMan<Gather> PreStack::PropCalc::angledata_
| protected

## ◆ anglevalinradians_

bool PreStack::PropCalc::anglevalinradians_ = false
| protected

## ◆ axisvalsrg_

Interval<float> PreStack::PropCalc::axisvalsrg_
| protected

## ◆ gather_

ConstRefMan<Gather> PreStack::PropCalc::gather_
| protected

## ◆ innermutes_

int* PreStack::PropCalc::innermutes_ = nullptr
| protected

## ◆ outermutes_

int* PreStack::PropCalc::outermutes_ = nullptr
| protected

## ◆ setup_

Setup PreStack::PropCalc::setup_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025